SearchTypeSelectedEvent (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.event

## Class SearchTypeSelectedEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<SearchTypeSelectedEventHandler>
    - - org.gcube.portlets.user.speciesdiscovery.client.event.SearchTypeSelectedEvent

-     public class SearchTypeSelectedEvent
      extends com.google.gwt.event.shared.GwtEvent<SearchTypeSelectedEventHandler>

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.google.gwt.event.shared.GwtEvent.Type<SearchTypeSelectedEventHandler>` | `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchTypeSelectedEvent(SearchType searchType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(SearchTypeSelectedEventHandler handler)`
    `com.google.gwt.event.shared.GwtEvent.Type<SearchTypeSelectedEventHandler>` | `getAssociatedType()`
    `SearchType` | `getType()`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final com.google.gwt.event.shared.GwtEvent.Type<SearchTypeSelectedEventHandler> TYPE

  - ### Constructor Detail

    - #### SearchTypeSelectedEvent

          public SearchTypeSelectedEvent(SearchType searchType)

  - ### Method Detail

    - #### getAssociatedType

          public com.google.gwt.event.shared.GwtEvent.Type<SearchTypeSelectedEventHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<SearchTypeSelectedEventHandler>`

    - #### dispatch

          protected void dispatch(SearchTypeSelectedEventHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<SearchTypeSelectedEventHandler>`

    - #### getType

          public SearchType getType()

      Returns:

Copyright © 2013. All Rights Reserved.